Subject: Re: [PATCH net-next 3/3] net/mlx4: support per-queue statistics via netlink

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 Apr 2024 20:46:55 -0700

On Wed, 24 Apr 2024 09:39:40 -0700 Joe Damato wrote:
> FWIW, I also attempted to implement this API for i40e (hardware I also
> have):
> 
>   https://lore.kernel.org/lkml/[email-masked]/

Ah, missed the second patch on that thread initially!

> But there are some complications I haven't resolved, so I'm focusing on
> mlx4 and mlx5, first, and will have to come back to i40e later.

FWIW I hope this series will get ironed out soon and we'll have far
more qstats defined:
https://lore.kernel.org/all/[email-masked]/

The drop counts in particular could be useful in production, not so
sure about the rest :)